package main
import (
    "encoding/json"
    "fmt"
    "io"
    "os"
)
type p4 struct {
    BaseScores int `baseScores`
    Files   []string `files`
    Letters string `letters`
    S2 int `s2`
    S3 int `s3`
    time int
    word string
}
func getFiles(idx int) []string {
    f := fmt.Sprintf("/mnt/data/ws/Words/SweetWords/2-策划/关卡数据/PIC4/4p%d.json", idx)
    file, err := os.Open(f)
    if err != nil {
        panic(err)
    }
    defer file.Close()
    d := json.NewDecoder(file)
    var p4 p4
    err = d.Decode(&p4)
    if err != nil {
        panic(err)
    }
    fmt.Println(p4)
    return p4.Files
}
func cp(idx int){
    files := getFiles(idx)
    for _, pic := range files {
        cp0(idx, pic)
    }
}
func cp0(idx int, f string){
    inf := fmt.Sprintf("/mnt/data/ws/Words/SweetWords/3-美术资源/游戏图片/4p/%s", f)
    outf := fmt.Sprintf("/mnt/data/ws/Words/ui/level-pic/4p%d/%s", idx, f)
    in, err := os.Open(inf)
    if err != nil {
        panic(err)
    }
    defer in.Close()
    out, err := os.OpenFile(outf, os.O_RDWR|os.O_CREATE|os.O_TRUNC, os.ModePerm)
    if err != nil {
        panic(err)
    }
    defer out.Close()
    _, err = io.Copy(out, in)
    if err != nil {
        panic(err)
    }
}

var srcPref = `/mnt/data/ws/Words/SweetWords/3-美术资源/游戏图片/4p`
var dstPref = `/mnt/data/ws/Words/ui/level-pic/`
func main(){
    for i:=0; i<40; i++ {
        cp(i)
    }
}
